Bug 1508457 - Package file conflicts between subscription-manager-rhsm-1.20.4-1.el7.x86_64 and python-rhsm-1.20.2-1.el7.x86_64
Summary: Package file conflicts between subscription-manager-rhsm-1.20.4-1.el7.x86_64 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Kevin Howell
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-01 13:20 UTC by Lenny Szubowicz
Modified: 2018-04-10 09:52 UTC (History)
4 users (show)

Fixed In Version: subscription-manager-1.20.5-1
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 09:52:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0681 None None None 2018-04-10 09:52:27 UTC
Github candlepin subscription-manager pull 1720 None None None 2017-11-01 17:38:56 UTC

Description Lenny Szubowicz 2017-11-01 13:20:24 UTC
Description of problem:

yum update from nightly build RHEL-7.5-20171030.n.0 to RHEL-7.5-20171031.n.0 fails with a transaction check error due to conflicting files between two packages:

Dependencies Resolved

===============================================================================================================
 Package                                     Arch        Version                     Repository           Size
===============================================================================================================
Installing:
 kernel                                      x86_64      3.10.0-760.el7              beaker-Server        44 M
Updating:
 bind-libs-lite                              x86_64      32:9.9.4-58.el7             beaker-Server       733 k
 bind-license                                noarch      32:9.9.4-58.el7             beaker-Server        84 k
 kernel-debug-devel                          x86_64      3.10.0-760.el7              beaker-Server        15 M
 kernel-headers                              x86_64      3.10.0-760.el7              beaker-Server       6.5 M
 kernel-tools                                x86_64      3.10.0-760.el7              beaker-Server       5.6 M
 kernel-tools-libs                           x86_64      3.10.0-760.el7              beaker-Server       5.5 M
 libdb                                       x86_64      5.3.21-22.el7               beaker-Server       719 k
 libdb-utils                                 x86_64      5.3.21-22.el7               beaker-Server       132 k
 libgudev1                                   x86_64      219-46.el7                  beaker-Server        86 k
 nss                                         x86_64      3.34.0-0.1.beta1.el7        beaker-Server       839 k
 nss-softokn                                 x86_64      3.34.0-0.1.beta1.el7        beaker-Server       310 k
 nss-softokn-freebl                          x86_64      3.34.0-0.1.beta1.el7        beaker-Server       218 k
 nss-sysinit                                 x86_64      3.34.0-0.1.beta1.el7        beaker-Server        60 k
 nss-tools                                   x86_64      3.34.0-0.1.beta1.el7        beaker-Server       512 k
 python-perf                                 x86_64      3.10.0-760.el7              beaker-Server       5.6 M
 selinux-policy                              noarch      3.13.1-175.el7              beaker-Server       446 k
 selinux-policy-targeted                     noarch      3.13.1-175.el7              beaker-Server       6.6 M
 subscription-manager                        x86_64      1.20.4-1.el7                beaker-Server       980 k
 systemd                                     x86_64      219-46.el7                  beaker-Server       5.0 M
 systemd-libs                                x86_64      219-46.el7                  beaker-Server       394 k
 systemd-sysv                                x86_64      219-46.el7                  beaker-Server        74 k
Removing:
 kernel                                      x86_64      3.10.0-749.el7              @beaker-Server       60 M
Installing for dependencies:
 python-inotify                              noarch      0.9.4-4.el7                 beaker-Server        49 k
 subscription-manager-rhsm                   x86_64      1.20.4-1.el7                beaker-Server       280 k
 subscription-manager-rhsm-certificates      x86_64      1.20.4-1.el7                beaker-Server       196 k

Transaction Summary
===============================================================================================================
Install   1 Package  (+3 Dependent packages)
Upgrade  21 Packages
Remove    1 Package

Total download size: 100 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/25): bind-license-9.9.4-58.el7.noarch.rpm                                            |  84 kB  00:00:00     
(2/25): bind-libs-lite-9.9.4-58.el7.x86_64.rpm                                          | 733 kB  00:00:00     
(3/25): kernel-3.10.0-760.el7.x86_64.rpm                                                |  44 MB  00:00:00     
(4/25): kernel-debug-devel-3.10.0-760.el7.x86_64.rpm                                    |  15 MB  00:00:00     
(5/25): kernel-headers-3.10.0-760.el7.x86_64.rpm                                        | 6.5 MB  00:00:00     
(6/25): kernel-tools-3.10.0-760.el7.x86_64.rpm                                          | 5.6 MB  00:00:00     
(7/25): kernel-tools-libs-3.10.0-760.el7.x86_64.rpm                                     | 5.5 MB  00:00:00     
(8/25): libdb-utils-5.3.21-22.el7.x86_64.rpm                                            | 132 kB  00:00:00     
(9/25): libdb-5.3.21-22.el7.x86_64.rpm                                                  | 719 kB  00:00:00     
(10/25): libgudev1-219-46.el7.x86_64.rpm                                                |  86 kB  00:00:00     
(11/25): nss-softokn-3.34.0-0.1.beta1.el7.x86_64.rpm                                    | 310 kB  00:00:00     
(12/25): nss-3.34.0-0.1.beta1.el7.x86_64.rpm                                            | 839 kB  00:00:00     
(13/25): nss-softokn-freebl-3.34.0-0.1.beta1.el7.x86_64.rpm                             | 218 kB  00:00:00     
(14/25): nss-sysinit-3.34.0-0.1.beta1.el7.x86_64.rpm                                    |  60 kB  00:00:00     
(15/25): nss-tools-3.34.0-0.1.beta1.el7.x86_64.rpm                                      | 512 kB  00:00:00     
(16/25): python-inotify-0.9.4-4.el7.noarch.rpm                                          |  49 kB  00:00:00     
(17/25): selinux-policy-3.13.1-175.el7.noarch.rpm                                       | 446 kB  00:00:00     
(18/25): python-perf-3.10.0-760.el7.x86_64.rpm                                          | 5.6 MB  00:00:00     
(19/25): subscription-manager-1.20.4-1.el7.x86_64.rpm                                   | 980 kB  00:00:00     
(20/25): subscription-manager-rhsm-1.20.4-1.el7.x86_64.rpm                              | 280 kB  00:00:00     
(21/25): selinux-policy-targeted-3.13.1-175.el7.noarch.rpm                              | 6.6 MB  00:00:00     
(22/25): subscription-manager-rhsm-certificates-1.20.4-1.el7.x86_64.rpm                 | 196 kB  00:00:00     
(23/25): systemd-libs-219-46.el7.x86_64.rpm                                             | 394 kB  00:00:00     
(24/25): systemd-sysv-219-46.el7.x86_64.rpm                                             |  74 kB  00:00:00     
(25/25): systemd-219-46.el7.x86_64.rpm                                                  | 5.0 MB  00:00:00     
---------------------------------------------------------------------------------------------------------------
Total                                                                           54 MB/s | 100 MB  00:00:01     
Running transaction check
Running transaction test


Transaction check error:
  file /usr/lib64/python2.7/site-packages/rhsm/__init__.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/__init__.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/_certificate.so from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/bitstream.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/bitstream.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64
...

Since subscription-manager-rhsm was being installed as a new dependency and
since the previously installed package python-rhsm-1.19.10-1.el7_4.x86_64 is obsoleted by subscription-manager-rhsm-1.20.4-1.el7.x86_64 the removal of python-rhsm-1.19.10-1.el7_4.x86_64 should have been automatically triggered, but it wasn't.


Version-Release number of selected component (if applicable):

RHEL-7.5-20171031.n.0

How reproducible:

100%

Steps to Reproduce:
1. Install RHEL-7.5-20171030.n.0 server
2. Copy repos for RHEL-7.5-20171031.n.0 server into /etc/yum.repos.d/
3. yum update

I expect that the same problem will be encountered on a yum update from RHEL 7.4 to RHEL 7.5.

I was able to manually work-around the problem by:

# yum erase python-rhsm-1.19.10-1.el7_4.x86_64
# yum install subscription-manager

Comment 2 Kevin Howell 2017-11-01 17:38:57 UTC
Found out it is due to 1.20.2-1.el7 is considered greater than 1.20.2-1 by rpm version comparison, which means that python-rhsm-1.20.2-1.el7 is not recognized as obsoleted by subscription-manager-rhsm with "Obsoletes: python-rhsm <= 1.20.2-1". PR should fix the issue

Comment 4 Shwetha Kallesh 2017-11-10 11:37:49 UTC
Reproducer:

[root@hp-ms-01-c41 ~]# vi /etc/yum.repos.d/rhel-7.repo 
[root@hp-ms-01-c41 ~]# yum update -y
Loaded plugins: product-id, search-disabled-repos, subscription-manager
rhel-7                                                                                                                                           | 4.1 kB  00:00:00     
(1/2): rhel-7/group_gz                                                                                                                           | 138 kB  00:00:00     
(2/2): rhel-7/primary_db                                                                                                                         | 4.1 MB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package bind-libs-lite.x86_64 32:9.9.4-56.el7 will be updated
---> Package bind-libs-lite.x86_64 32:9.9.4-58.el7 will be an update
---> Package bind-license.noarch 32:9.9.4-56.el7 will be updated
---> Package bind-license.noarch 32:9.9.4-58.el7 will be an update
---> Package gssproxy.x86_64 0:0.7.0-10.el7 will be updated
---> Package gssproxy.x86_64 0:0.7.0-11.el7 will be an update
---> Package kernel.x86_64 0:3.10.0-760.el7 will be installed
---> Package kernel-devel.x86_64 0:3.10.0-760.el7 will be installed
---> Package kernel-headers.x86_64 0:3.10.0-757.el7 will be updated
---> Package kernel-headers.x86_64 0:3.10.0-760.el7 will be an update
---> Package kernel-tools.x86_64 0:3.10.0-757.el7 will be updated
---> Package kernel-tools.x86_64 0:3.10.0-760.el7 will be an update
---> Package kernel-tools-libs.x86_64 0:3.10.0-757.el7 will be updated
---> Package kernel-tools-libs.x86_64 0:3.10.0-760.el7 will be an update
---> Package libdb.x86_64 0:5.3.21-20.el7 will be updated
---> Package libdb.x86_64 0:5.3.21-22.el7 will be an update
---> Package libdb-devel.x86_64 0:5.3.21-20.el7 will be updated
---> Package libdb-devel.x86_64 0:5.3.21-22.el7 will be an update
---> Package libdb-utils.x86_64 0:5.3.21-20.el7 will be updated
---> Package libdb-utils.x86_64 0:5.3.21-22.el7 will be an update
---> Package libgudev1.x86_64 0:219-45.el7 will be updated
---> Package libgudev1.x86_64 0:219-46.el7 will be an update
---> Package nss.x86_64 0:3.33.0-1.el7 will be updated
---> Package nss.x86_64 0:3.34.0-0.1.beta1.el7 will be an update
---> Package nss-softokn.x86_64 0:3.33.0-1.el7 will be updated
---> Package nss-softokn.x86_64 0:3.34.0-0.1.beta1.el7 will be an update
---> Package nss-softokn-freebl.x86_64 0:3.33.0-1.el7 will be updated
---> Package nss-softokn-freebl.x86_64 0:3.34.0-0.1.beta1.el7 will be an update
---> Package nss-sysinit.x86_64 0:3.33.0-1.el7 will be updated
---> Package nss-sysinit.x86_64 0:3.34.0-0.1.beta1.el7 will be an update
---> Package nss-tools.x86_64 0:3.33.0-1.el7 will be updated
---> Package nss-tools.x86_64 0:3.34.0-0.1.beta1.el7 will be an update
---> Package python-perf.x86_64 0:3.10.0-757.el7 will be updated
---> Package python-perf.x86_64 0:3.10.0-760.el7 will be an update
---> Package selinux-policy.noarch 0:3.13.1-174.el7 will be updated
---> Package selinux-policy.noarch 0:3.13.1-175.el7 will be an update
---> Package selinux-policy-targeted.noarch 0:3.13.1-174.el7 will be updated
---> Package selinux-policy-targeted.noarch 0:3.13.1-175.el7 will be an update
---> Package subscription-manager.x86_64 0:1.20.2-1.el7 will be updated
---> Package subscription-manager.x86_64 0:1.20.4-1.el7 will be an update
--> Processing Dependency: subscription-manager-rhsm >= 1.20.4 for package: subscription-manager-1.20.4-1.el7.x86_64
--> Processing Dependency: python-inotify for package: subscription-manager-1.20.4-1.el7.x86_64
---> Package systemd.x86_64 0:219-45.el7 will be updated
---> Package systemd.x86_64 0:219-46.el7 will be an update
---> Package systemd-libs.x86_64 0:219-45.el7 will be updated
---> Package systemd-libs.x86_64 0:219-46.el7 will be an update
---> Package systemd-sysv.x86_64 0:219-45.el7 will be updated
---> Package systemd-sysv.x86_64 0:219-46.el7 will be an update
--> Running transaction check
---> Package python-inotify.noarch 0:0.9.4-4.el7 will be installed
---> Package subscription-manager-rhsm.x86_64 0:1.20.4-1.el7 will be installed
--> Processing Dependency: subscription-manager-rhsm-certificates = 1.20.4-1.el7 for package: subscription-manager-rhsm-1.20.4-1.el7.x86_64
--> Running transaction check
---> Package subscription-manager-rhsm-certificates.x86_64 0:1.20.4-1.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                                    Arch                       Version                                  Repository                         Size
========================================================================================================================================================================
Installing:
 kernel                                                     x86_64                     3.10.0-760.el7                           rhel-7                             44 M
 kernel-devel                                               x86_64                     3.10.0-760.el7                           rhel-7                             15 M
Updating:
 bind-libs-lite                                             x86_64                     32:9.9.4-58.el7                          rhel-7                            733 k
 bind-license                                               noarch                     32:9.9.4-58.el7                          rhel-7                             84 k
 gssproxy                                                   x86_64                     0.7.0-11.el7                             rhel-7                            104 k
 kernel-headers                                             x86_64                     3.10.0-760.el7                           rhel-7                            6.5 M
 kernel-tools                                               x86_64                     3.10.0-760.el7                           rhel-7                            5.6 M
 kernel-tools-libs                                          x86_64                     3.10.0-760.el7                           rhel-7                            5.5 M
 libdb                                                      x86_64                     5.3.21-22.el7                            rhel-7                            719 k
 libdb-devel                                                x86_64                     5.3.21-22.el7                            rhel-7                             38 k
 libdb-utils                                                x86_64                     5.3.21-22.el7                            rhel-7                            132 k
 libgudev1                                                  x86_64                     219-46.el7                               rhel-7                             86 k
 nss                                                        x86_64                     3.34.0-0.1.beta1.el7                     rhel-7                            839 k
 nss-softokn                                                x86_64                     3.34.0-0.1.beta1.el7                     rhel-7                            310 k
 nss-softokn-freebl                                         x86_64                     3.34.0-0.1.beta1.el7                     rhel-7                            218 k
 nss-sysinit                                                x86_64                     3.34.0-0.1.beta1.el7                     rhel-7                             60 k
 nss-tools                                                  x86_64                     3.34.0-0.1.beta1.el7                     rhel-7                            512 k
 python-perf                                                x86_64                     3.10.0-760.el7                           rhel-7                            5.6 M
 selinux-policy                                             noarch                     3.13.1-175.el7                           rhel-7                            446 k
 selinux-policy-targeted                                    noarch                     3.13.1-175.el7                           rhel-7                            6.6 M
 subscription-manager                                       x86_64                     1.20.4-1.el7                             rhel-7                            980 k
 systemd                                                    x86_64                     219-46.el7                               rhel-7                            5.0 M
 systemd-libs                                               x86_64                     219-46.el7                               rhel-7                            394 k
 systemd-sysv                                               x86_64                     219-46.el7                               rhel-7                             74 k
Installing for dependencies:
 python-inotify                                             noarch                     0.9.4-4.el7                              beaker-Server                      49 k
 subscription-manager-rhsm                                  x86_64                     1.20.4-1.el7                             rhel-7                            280 k
 subscription-manager-rhsm-certificates                     x86_64                     1.20.4-1.el7                             rhel-7                            196 k

Transaction Summary
========================================================================================================================================================================
Install   2 Packages (+3 Dependent packages)
Upgrade  22 Packages

Total download size: 100 M
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/27): bind-libs-lite-9.9.4-58.el7.x86_64.rpm                                                                                                   | 733 kB  00:00:00     
(2/27): bind-license-9.9.4-58.el7.noarch.rpm                                                                                                     |  84 kB  00:00:00     
(3/27): gssproxy-0.7.0-11.el7.x86_64.rpm                                                                                                         | 104 kB  00:00:00     
(4/27): kernel-devel-3.10.0-760.el7.x86_64.rpm                                                                                                   |  15 MB  00:00:01     
(5/27): kernel-headers-3.10.0-760.el7.x86_64.rpm                                                                                                 | 6.5 MB  00:00:00     
(6/27): kernel-3.10.0-760.el7.x86_64.rpm                                                                                                         |  44 MB  00:00:02     
(7/27): kernel-tools-3.10.0-760.el7.x86_64.rpm                                                                                                   | 5.6 MB  00:00:00     
(8/27): libdb-5.3.21-22.el7.x86_64.rpm                                                                                                           | 719 kB  00:00:00     
(9/27): libdb-devel-5.3.21-22.el7.x86_64.rpm                                                                                                     |  38 kB  00:00:00     
(10/27): libdb-utils-5.3.21-22.el7.x86_64.rpm                                                                                                    | 132 kB  00:00:00     
(11/27): libgudev1-219-46.el7.x86_64.rpm                                                                                                         |  86 kB  00:00:00     
(12/27): kernel-tools-libs-3.10.0-760.el7.x86_64.rpm                                                                                             | 5.5 MB  00:00:00     
(13/27): nss-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                                     | 839 kB  00:00:00     
(14/27): nss-softokn-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                             | 310 kB  00:00:00     
(15/27): nss-softokn-freebl-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                      | 218 kB  00:00:00     
(16/27): nss-sysinit-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                             |  60 kB  00:00:00     
(17/27): nss-tools-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                               | 512 kB  00:00:00     
(18/27): selinux-policy-3.13.1-175.el7.noarch.rpm                                                                                                | 446 kB  00:00:00     
(19/27): python-perf-3.10.0-760.el7.x86_64.rpm                                                                                                   | 5.6 MB  00:00:00     
(20/27): python-inotify-0.9.4-4.el7.noarch.rpm                                                                                                   |  49 kB  00:00:00     
(21/27): selinux-policy-targeted-3.13.1-175.el7.noarch.rpm                                                                                       | 6.6 MB  00:00:00     
(22/27): subscription-manager-1.20.4-1.el7.x86_64.rpm                                                                                            | 980 kB  00:00:00     
(23/27): subscription-manager-rhsm-1.20.4-1.el7.x86_64.rpm                                                                                       | 280 kB  00:00:00     
(24/27): subscription-manager-rhsm-certificates-1.20.4-1.el7.x86_64.rpm                                                                          | 196 kB  00:00:00     
(25/27): systemd-libs-219-46.el7.x86_64.rpm                                                                                                      | 394 kB  00:00:00     
(26/27): systemd-sysv-219-46.el7.x86_64.rpm                                                                                                      |  74 kB  00:00:00     
(27/27): systemd-219-46.el7.x86_64.rpm                                                                                                           | 5.0 MB  00:00:00     
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                    22 MB/s | 100 MB  00:00:04     
Running transaction check
Running transaction test


Transaction check error:
  file /usr/lib64/python2.7/site-packages/rhsm/__init__.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/__init__.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/_certificate.so from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/bitstream.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/bitstream.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/certificate.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/certificate.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/certificate2.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/certificate2.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/config.py from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/config.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/config.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/connection.py from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/connection.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/connection.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/https.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/https.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/huffman.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/huffman.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/m2cryptohttp.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/m2cryptohttp.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/m2cryptossl.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/m2cryptossl.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/ourjson.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/ourjson.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/pathtree.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/pathtree.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/profile.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/profile.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/utils.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/utils.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/version.py from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/version.pyc from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64
  file /usr/lib64/python2.7/site-packages/rhsm/version.pyo from install of subscription-manager-rhsm-1.20.4-1.el7.x86_64 conflicts with file from package python-rhsm-1.20.2-1.el7.x86_64

Error Summary

[root@hp-ms-01-c41 ~]# subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.20.2-1.el7
python-rhsm: 1.20.2-1.el7

Comment 5 Shwetha Kallesh 2017-11-10 12:58:39 UTC
Verification:

python-rhsm packages are replaced by subscription-manager-rhsm when you copy repos from RHEL-7.5-DevelPhaseExit-1.1 which has the fix

[root@hp-ms-01-c41 ~]# subscription-manager  version
server type: Red Hat Subscription Management
subscription management server: 2.0.43-1
subscription management rules: 5.26
subscription-manager: 1.20.5-1.el7

[root@hp-ms-01-c41 ~]# cat /etc/yum.repos.d/rhel-7.repo 
[rhel-7]
name=rhel-7
baseurl=http://download.eng.brq.redhat.com/rel-eng/RHEL-7.5-DevelPhaseExit-1.1/compose/Server/x86_64/os/
enabled=1
gpgcheck=0
skip_if_unavailable=1 

[root@hp-ms-01-c41 ~]# yum update -y
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
----> Package nfs-utils.x86_64 1:1.3.0-0.48.el7_4 will be updated
---> Package nfs-utils.x86_64 1:1.3.0-0.52.el7 will be an update
---> Package openssh-server.x86_64 0:7.4p1-14.el7 will be an update
---> Package pam.x86_64 0:1.1.8-20.el7 will be updated
---> Package pam.x86_64 0:1.1.8-22.el7 will be an update
---> Package python-perf.x86_64 0:3.10.0-757.el7 will be updated
---> Package python-perf.x86_64 0:3.10.0-768.el7 will be an update
---> Package python-rhsm.x86_64 0:1.20.2-1.el7 will be obsoleted
---> Package python-rhsm-certificates.x86_64 0:1.20.2-1.el7 will be obsoleted
---> Package redhat-release.x86_64 0:7.5-0.8.el7 will be updated
---> Package redhat-release.x86_64 0:7.5-0.12.el7 will be an update
--> Processing Dependency: system-release-product = 7.5-0.12.el7 for package: redhat-release-7.5-0.12.el7.x86_64
---> Package rsyslog.x86_64 0:8.24.0-13.el7 will be updated
---> Package rsyslog.x86_64 0:8.24.0-15.el7 will be an update
---> Package selinux-policy.noarch 0:3.13.1-174.el7 will be updated
---> Package selinux-policy.noarch 0:3.13.1-175.el7 will be an update
---> Package selinux-policy-targeted.noarch 0:3.13.1-174.el7 will be updated
---> Package selinux-policy-targeted.noarch 0:3.13.1-175.el7 will be an update
---> Package subscription-manager.x86_64 0:1.20.2-1.el7 will be updated
---> Package subscription-manager.x86_64 0:1.20.5-1.el7 will be an update
--> Processing Dependency: python-inotify for package: subscription-manager-1.20.5-1.el7.x86_64
---> Package subscription-manager-rhsm.x86_64 0:1.20.5-1.el7 will be obsoleting
---> Package subscription-manager-rhsm-certificates.x86_64 0:1.20.5-1.el7 will be obsoleting
--> Running transaction check
---> Package lvm2-python-boom.noarch 7:0.8-2.el7 will be installed
---> Package python-inotify.noarch 0:0.9.4-4.el7 will be installed
---> Package redhat-release-server.x86_64 0:7.5-0.12.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                                   Arch                      Version                                     Repository                        Size
========================================================================================================================================================================
Installing:
 kernel                                                    x86_64                    3.10.0-768.el7                              rhel-7                            44 M
 kernel-devel                                              x86_64                    3.10.0-768.el7                              rhel-7                            15 M
 subscription-manager-rhsm                                 x86_64                    1.20.5-1.el7                                rhel-7                           282 k
     replacing  python-rhsm.x86_64 1.20.2-1.el7
 subscription-manager-rhsm-certificates                    x86_64                    1.20.5-1.el7                                rhel-7                           198 k
     replacing  python-rhsm-certificates.x86_64 1.20.2-1.el7
Updating:
 bind-libs-lite                                            x86_64                    32:9.9.4-58.el7                             rhel-7                           734 k
 bind-license                                              noarch                    32:9.9.4-58.el7                             rhel-7                            85 k
 binutils                                                  x86_64                    2.27-20.base.el7                            rhel-7                           5.9 M
 cups-client                                               x86_64                    1:1.6.3-33.el7                              rhel-7                           151 k
 cups-libs                                                 x86_64                    1:1.6.3-33.el7                              rhel-7                           357 k
 device-mapper                                             x86_64                    7:1.02.145-2.el7                            rhel-7                           286 k
 device-mapper-event                                       x86_64                    7:1.02.145-2.el7                            rhel-7                           181 k
 device-mapper-event-libs                                  x86_64                    7:1.02.145-2.el7                            rhel-7                           181 k
 device-mapper-libs                                        x86_64                    7:1.02.145-2.el7                            rhel-7                           314 k
 dracut                                                    x86_64                    033-520.el7                                 rhel-7                           324 k
 dracut-config-rescue                                      x86_64                    033-520.el7                                 rhel-7                            57 k
 dracut-network                                            x86_64                    033-520.el7                                 rhel-7                            99 k
 elfutils                                                  x86_64                    0.170-2.el7                                 rhel-7                           282 k
 elfutils-default-yama-scope                               noarch                    0.170-2.el7                                 rhel-7                            31 k
 kernel-headers                                            x86_64                    3.10.0-768.el7                              rhel-7                           6.5 M
 kernel-tools                                              x86_64                    3.10.0-768.el7                              rhel-7                           5.7 M
 kernel-tools-libs                                         x86_64                    3.10.0-768.el7                              rhel-7                           5.6 M
 kexec-tools                                               x86_64                    2.0.15-4.el7                                rhel-7                           337 k
 kpartx                                                    x86_64                    0.4.9-116.el7                               rhel-7                            75 k
 krb5-libs                                                 x86_64                    1.15.1-17.el7                               rhel-7                           748 k
 libdb                                                     x86_64                    5.3.21-22.el7                               rhel-7                           719 k
 libdb-devel                                               x86_64                    5.3.21-22.el7                               rhel-7                            38 k
 libdb-utils                                               x86_64                    5.3.21-22.el7                               rhel-7                           132 k
 libgudev1                                                 x86_64                    219-46.el7                                  rhel-7                            88 k
 lvm2                                                      x86_64                    7:2.02.176-2.el7                            rhel-7                           1.3 M
 openldap                                                  x86_64                    2.4.44-9.el7                                rhel-7                           353 k
 openssh                                                   x86_64                    7.4p1-14.el7                                rhel-7                           509 k
 openssh-clients                                           x86_64                    7.4p1-14.el7                                rhel-7                           653 k
 openssh-server                                            x86_64                    7.4p1-14.el7                                rhel-7                           458 k
 pam                                                       x86_64                    1.1.8-22.el7                                rhel-7                           721 k
 python-perf                                               x86_64                    3.10.0-768.el7                              rhel-7                           5.7 M
 redhat-release                                            x86_64                    7.5-0.12.el7                                rhel-7                            31 k
 rsyslog                                                   x86_64                    8.24.0-15.el7                               rhel-7                           607 k
 selinux-policy                                            noarch                    3.13.1-175.el7                              rhel-7                           446 k
 selinux-policy-targeted                                   noarch                    3.13.1-175.el7                              rhel-7                           6.6 M
 subscription-manager                                      x86_64                    1.20.5-1.el7                                rhel-7                           982 k
 systemd                                                   x86_64                    219-46.el7                                  rhel-7                           5.0 M
 systemd-libs                                              x86_64                    219-46.el7                                  rhel-7                           395 k
 systemd-sysv                                              x86_64                    219-46.el7                                  rhel-7                            75 k
 yum                                                       noarch                    3.4.3-157.el7                               rhel-7                           1.2 M
Installing for dependencies:
 lvm2-python-boom                                          noarch                    7:0.8-2.el7                                 rhel-7                           285 k
 python-inotify                                            noarch                    0.9.4-4.el7                                 beaker-Server                     49 k
 redhat-release-server                                     x86_64                    7.5-0.12.el7                                rhel-7                            18 k

Transaction Summary
========================================================================================================================================================================
Install   4 Packages (+3 Dependent packages)
Upgrade  65 Packages

Total size: 144 M
Total download size: 7.7 M
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/9): bind-license-9.9.4-58.el7.noarch.rpm                                                                                                      |  85 kB  00:00:01     
(2/9): libgudev1-219-46.el7.x86_64.rpm                                                                                                           |  88 kB  00:00:01     
(3/9): bind-libs-lite-9.9.4-58.el7.x86_64.rpm                                                                                                    | 734 kB  00:00:02     
(4/9): nss-sysinit-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                               |  61 kB  00:00:00     
(5/9): nss-tools-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                                 | 513 kB  00:00:01     
(6/9): nss-3.34.0-0.1.beta1.el7.x86_64.rpm                                                                                                       | 840 kB  00:00:03     
(7/9): systemd-libs-219-46.el7.x86_64.rpm                                                                                                        | 395 kB  00:00:02     
(8/9): systemd-sysv-219-46.el7.x86_64.rpm                                                                                                        |  75 kB  00:00:00     
(9/9): systemd-219-46.el7.x86_64.rpm                                                                                                             | 5.0 MB  00:00:05     
------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                   697 kB/s | 7.7 MB  00:00:11     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : nss-softokn-freebl-3.34.0-0.2.beta1.el7.x86_64                                                                                                     1/139 
  Updating   : glibc-2.17-217.el7.x86_64                                                                                                                          2/139 
  Updating   : glibc-common-2.17-217.el7.x86_64                                                                                                                   3/139 
  Updating   : krb5-libs-1.15.1-17.el7.x86_64                                                                                                                     4/139 
  Updating   : glib2-2.54.2-1.el7.x86_64                                                                                                                          5/139 
  Updating   : elfutils-libelf-0.170-2.el7.x86_64                                                                                                                 6/139 
  Updating   : libdb-5.3.21-22.el7.x86_64                                                                                                                         7/139 
  Updating   : pam-1.1.8-22.el7.x86_64                                                                                                                            8/139 
  Updating   : 1:cups-libs-1.6.3-33.el7.x86_64                                                                                                                    9/139 
  Updating   : nss-softokn-3.34.0-0.2.beta1.el7.x86_64                                                                                                           10/139 
  Updating   : nss-sysinit-3.34.0-0.1.beta1.el7.x86_64                                                                                                           11/139 
  Updating   : nss-3.34.0-0.1.beta1.el7.x86_64                                                                                                                   12/139 
  Updating   : mesa-libglapi-17.2.3-5.20171019.el7.x86_64                                                                                                        13/139 
  Updating   : mesa-libgbm-17.2.3-5.20171019.el7.x86_64                                                                                                          14/139 
  Updating   : nss-tools-3.34.0-0.1.beta1.el7.x86_64                                                                                                             15/139 
  Updating   : openldap-2.4.44-9.el7.x86_64                                                                                                                      16/139 
  Updating   : openssh-7.4p1-14.el7.x86_64                                                                                                                       17/139 
  Updating   : gtk-update-icon-cache-3.22.25-1.el7.x86_64                                                                                                        18/139 
  Updating   : kernel-tools-libs-3.10.0-768.el7.x86_64                                                                                                           19/139 
  Updating   : 2:ethtool-4.8-2.el7.x86_64                                                                                                                        20/139 
  Updating   : mesa-libwayland-egl-17.2.3-5.20171019.el7.x86_64                                                                                                  21/139 
  Updating   : 32:bind-license-9.9.4-58.el7.noarch                                                                                                               22/139 
  Installing : python-inotify-0.9.4-4.el7.noarch                                                                                                                 23/139 
  Updating   : kernel-headers-3.10.0-768.el7.x86_64                                                                                                              24/139 
  Updating   : glibc-headers-2.17-217.el7.x86_64                                                                                                                 25/139 
  Installing : subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64                                                                                        26/139 
  Installing : subscription-manager-rhsm-1.20.5-1.el7.x86_64                                                                                                     27/139 
  Updating   : selinux-policy-3.13.1-175.el7.noarch                                                                                                              28/139 
  Installing : 7:lvm2-python-boom-0.8-2.el7.noarch                                                                                                               29/139 
  Updating   : yum-3.4.3-157.el7.noarch                                                                                                                          30/139 
  Updating   : elfutils-default-yama-scope-0.170-2.el7.noarch                                                                                                    31/139 
  Updating   : elfutils-libs-0.170-2.el7.x86_64                                                                                                                  32/139 
  Updating   : systemd-libs-219-46.el7.x86_64                                                                                                                    33/139 
  Updating   : redhat-release-7.5-0.12.el7.x86_64                                                                                                                34/139 
warning: /usr/lib/os.release.d/os-release-rhel saved as /usr/lib/os.release.d/os-release-rhel.rpmsave
  Updating   : systemd-219-46.el7.x86_64                                                                                                                         35/139 
  Installing : redhat-release-server-7.5-0.12.el7.x86_64                                                                                                         36/139 
  Updating   : 7:device-mapper-libs-1.02.145-2.el7.x86_64                                                                                                        37/139 
  Updating   : 7:device-mapper-1.02.145-2.el7.x86_64                                                                                                             38/139 
  Updating   : 7:device-mapper-event-libs-1.02.145-2.el7.x86_64                                                                                                  39/139 
  Updating   : 7:device-mapper-event-1.02.145-2.el7.x86_64                                                                                                       40/139 
  Updating   : 7:lvm2-libs-2.02.176-2.el7.x86_64                                                                                                                 41/139 
  Updating   : kpartx-0.4.9-116.el7.x86_64                                                                                                                       42/139 
  Updating   : dracut-033-520.el7.x86_64                                                                                                                         43/139 
  Updating   : dracut-network-033-520.el7.x86_64                                                                                                                 44/139 
  Updating   : gssproxy-0.7.0-13.el7.x86_64                                                                                                                      45/139 
  Updating   : initscripts-9.49.40-1.el7.x86_64                                                                                                                  46/139 
  Installing : kernel-3.10.0-768.el7.x86_64                                                                                                                      47/139 
  Updating   : 1:nfs-utils-1.3.0-0.52.el7.x86_64                                                                                                                 48/139 
  Updating   : kexec-tools-2.0.15-4.el7.x86_64                                                                                                                   49/139 
  Updating   : dracut-config-rescue-033-520.el7.x86_64                                                                                                           50/139 
  Updating   : 7:lvm2-2.02.176-2.el7.x86_64                                                                                                                      51/139 
  Updating   : openssh-server-7.4p1-14.el7.x86_64                                                                                                                52/139 
  Updating   : rsyslog-8.24.0-15.el7.x86_64                                                                                                                      53/139 
  Updating   : systemd-sysv-219-46.el7.x86_64                                                                                                                    54/139 
  Updating   : subscription-manager-1.20.5-1.el7.x86_64                                                                                                          55/139 
warning: /etc/rhsm/rhsm.conf created as /etc/rhsm/rhsm.conf.rpmnew
  Updating   : libgudev1-219-46.el7.x86_64                                                                                                                       56/139 
  Updating   : elfutils-0.170-2.el7.x86_64                                                                                                                       57/139 
  Updating   : selinux-policy-targeted-3.13.1-175.el7.noarch                                                                                                     58/139 
  Updating   : glibc-devel-2.17-217.el7.x86_64                                                                                                                   59/139 
  Updating   : 32:bind-libs-lite-9.9.4-58.el7.x86_64                                                                                                             60/139 
  Updating   : gtk3-3.22.25-1.el7.x86_64                                                                                                                         61/139 
  Updating   : kernel-tools-3.10.0-768.el7.x86_64                                                                                                                62/139 
  Updating   : openssh-clients-7.4p1-14.el7.x86_64                                                                                                               63/139 
  Updating   : mesa-libEGL-17.2.3-5.20171019.el7.x86_64                                                                                                          64/139 
  Updating   : mesa-libGL-17.2.3-5.20171019.el7.x86_64                                                                                                           65/139 
  Updating   : 1:cups-client-1.6.3-33.el7.x86_64                                                                                                                 66/139 
  Updating   : libdb-utils-5.3.21-22.el7.x86_64                                                                                                                  67/139 
  Updating   : libdb-devel-5.3.21-22.el7.x86_64                                                                                                                  68/139 
  Updating   : binutils-2.27-20.base.el7.x86_64                                                                                                                  69/139 
  Updating   : python-perf-3.10.0-768.el7.x86_64                                                                                                                 70/139 
  Updating   : gdb-7.6.1-107.el7.x86_64                                                                                                                          71/139 
  Installing : kernel-devel-3.10.0-768.el7.x86_64                                                                                                                72/139 
  Cleanup    : glibc-devel-2.17-214.el7.x86_64                                                                                                                   73/139 
  Cleanup    : glibc-headers-2.17-214.el7.x86_64                                                                                                                 74/139 
  Cleanup    : systemd-sysv-219-45.el7.x86_64                                                                                                                    75/139 
  Cleanup    : libdb-devel-5.3.21-20.el7.x86_64                                                                                                                  76/139 
  Cleanup    : selinux-policy-targeted-3.13.1-174.el7.noarch                                                                                                     77/139 
  Cleanup    : dracut-config-rescue-033-502.el7.x86_64                                                                                                           78/139 
  Cleanup    : openssh-server-7.4p1-13.el7_4.x86_64                                                                                                              79/139 
  Cleanup    : 7:lvm2-2.02.175-3.el7.x86_64                                                                                                                      80/139 
  Cleanup    : libgudev1-219-45.el7.x86_64                                                                                                                       81/139 
  Cleanup    : 7:lvm2-libs-2.02.175-3.el7.x86_64                                                                                                                 82/139 
  Cleanup    : kexec-tools-2.0.15-2.el7.x86_64                                                                                                                   83/139 
  Cleanup    : gtk3-3.22.21-1.el7.x86_64                                                                                                                         84/139 
  Cleanup    : 7:device-mapper-event-1.02.144-3.el7.x86_64                                                                                                       85/139 
  Cleanup    : 1:nfs-utils-1.3.0-0.48.el7_4.x86_64                                                                                                               86/139 
  Cleanup    : subscription-manager-1.20.2-1.el7.x86_64                                                                                                          87/139 
  Cleanup    : elfutils-0.170-1.el7.x86_64                                                                                                                       88/139 
  Cleanup    : openssh-clients-7.4p1-13.el7_4.x86_64                                                                                                             89/139 
  Cleanup    : gssproxy-0.7.0-10.el7.x86_64                                                                                                                      90/139 
  Cleanup    : 32:bind-libs-lite-9.9.4-56.el7.x86_64                                                                                                             91/139 
  Cleanup    : 1:cups-client-1.6.3-32.el7.x86_64                                                                                                                 92/139 

UPGRADE: Automatically re-enabling default systemd units:
	brandbot.path
	rhel-autorelabel.service
	rhel-autorelabel-mark.service
	rhel-configure.service
	rhel-dmesg.service
	rhel-domainname.service
	rhel-import-state.service
	rhel-loadmodules.service
	rhel-readonly.service

  Cleanup    : initscripts-9.49.39-1.el7.x86_64                                                                                                                  93/139 
  Cleanup    : mesa-libGL-17.2.3-4.20171019.el7.x86_64                                                                                                           94/139 
  Cleanup    : mesa-libEGL-17.2.3-4.20171019.el7.x86_64                                                                                                          95/139 
  Cleanup    : rsyslog-8.24.0-13.el7.x86_64                                                                                                                      96/139 
  Cleanup    : kernel-tools-3.10.0-757.el7.x86_64                                                                                                                97/139 
  Cleanup    : mesa-libgbm-17.2.3-4.20171019.el7.x86_64                                                                                                          98/139 
  Cleanup    : 1:cups-libs-1.6.3-32.el7.x86_64                                                                                                                   99/139 
  Cleanup    : openssh-7.4p1-13.el7_4.x86_64                                                                                                                    100/139 
  Cleanup    : openldap-2.4.44-5.el7.x86_64                                                                                                                     101/139 
  Cleanup    : nss-tools-3.33.0-1.el7.x86_64                                                                                                                    102/139 
  Cleanup    : nss-sysinit-3.33.0-1.el7.x86_64                                                                                                                  103/139 
  Cleanup    : nss-3.33.0-1.el7.x86_64                                                                                                                          104/139 
  Cleanup    : nss-softokn-3.33.0-1.el7.x86_64                                                                                                                  105/139 
  Erasing    : python-rhsm-1.20.2-1.el7.x86_64                                                                                                                  106/139 
  Cleanup    : 7:device-mapper-event-libs-1.02.144-3.el7.x86_64                                                                                                 107/139 
  Cleanup    : gtk-update-icon-cache-3.22.21-1.el7.x86_64                                                                                                       108/139 
  Cleanup    : libdb-utils-5.3.21-20.el7.x86_64                                                                                                                 109/139 
  Cleanup    : dracut-network-033-502.el7.x86_64                                                                                                                110/139 
  Cleanup    : dracut-033-502.el7.x86_64                                                                                                                        111/139 
  Cleanup    : kpartx-0.4.9-115.el7.x86_64                                                                                                                      112/139 
  Cleanup    : 7:device-mapper-1.02.144-3.el7.x86_64                                                                                                            113/139 
  Cleanup    : 7:device-mapper-libs-1.02.144-3.el7.x86_64                                                                                                       114/139 
  Cleanup    : systemd-219-45.el7.x86_64                                                                                                                        115/139 
  Cleanup    : systemd-libs-219-45.el7.x86_64                                                                                                                   116/139 
  Cleanup    : elfutils-libs-0.170-1.el7.x86_64                                                                                                                 117/139 
  Cleanup    : pam-1.1.8-20.el7.x86_64                                                                                                                          118/139 
  Cleanup    : libdb-5.3.21-20.el7.x86_64                                                                                                                       119/139 
  Cleanup    : elfutils-libelf-0.170-1.el7.x86_64                                                                                                               120/139 
  Cleanup    : glib2-2.54.1-1.el7.x86_64                                                                                                                        121/139 
  Cleanup    : krb5-libs-1.15.1-15.el7.x86_64                                                                                                                   122/139 
  Cleanup    : mesa-libglapi-17.2.3-4.20171019.el7.x86_64                                                                                                       123/139 
  Cleanup    : kernel-tools-libs-3.10.0-757.el7.x86_64                                                                                                          124/139 
  Cleanup    : mesa-libwayland-egl-17.2.3-4.20171019.el7.x86_64                                                                                                 125/139 
  Cleanup    : 2:ethtool-4.8-1.el7.x86_64                                                                                                                       126/139 
  Cleanup    : gdb-7.6.1-106.el7.x86_64                                                                                                                         127/139 
  Cleanup    : python-perf-3.10.0-757.el7.x86_64                                                                                                                128/139 
  Cleanup    : binutils-2.27-19.base.el7.x86_64                                                                                                                 129/139 
  Cleanup    : elfutils-default-yama-scope-0.170-1.el7.noarch                                                                                                   130/139 
  Cleanup    : redhat-release-7.5-0.8.el7.x86_64                                                                                                                131/139 
  Erasing    : python-rhsm-certificates-1.20.2-1.el7.x86_64                                                                                                     132/139 
  Cleanup    : 32:bind-license-9.9.4-56.el7.noarch                                                                                                              133/139 
  Cleanup    : yum-3.4.3-155.el7.noarch                                                                                                                         134/139 
  Cleanup    : selinux-policy-3.13.1-174.el7.noarch                                                                                                             135/139 
  Cleanup    : kernel-headers-3.10.0-757.el7.x86_64                                                                                                             136/139 
  Cleanup    : glibc-common-2.17-214.el7.x86_64                                                                                                                 137/139 
  Cleanup    : nss-softokn-freebl-3.33.0-1.el7.x86_64                                                                                                           138/139 
  Cleanup    : glibc-2.17-214.el7.x86_64                                                                                                                        139/139 
rhel-7/productid                                                                                                                                 | 1.6 kB  00:00:00     
  Verifying  : dracut-config-rescue-033-520.el7.x86_64                                                                                                            1/139 
  Verifying  : elfutils-default-yama-scope-0.170-2.el7.noarch                                                                                                     2/139 
  Verifying  : elfutils-libs-0.170-2.el7.x86_64                                                                                                                   3/139 
  Verifying  : nss-softokn-3.34.0-0.2.beta1.el7.x86_64                                                                                                            4/139 
  Verifying  : 7:device-mapper-event-1.02.145-2.el7.x86_64                                                                                                        5/139 
  Verifying  : 7:lvm2-2.02.176-2.el7.x86_64                                                                                                                       6/139 
  Verifying  : glibc-common-2.17-217.el7.x86_64                                                                                                                   7/139 
  Verifying  : dracut-network-033-520.el7.x86_64                                                                                                                  8/139 
  Verifying  : binutils-2.27-20.base.el7.x86_64                                                                                                                   9/139 
  Verifying  : nss-softokn-freebl-3.34.0-0.2.beta1.el7.x86_64                                                                                                    10/139 
  Verifying  : selinux-policy-targeted-3.13.1-175.el7.noarch                                                                                                     11/139 
  Verifying  : 7:device-mapper-libs-1.02.145-2.el7.x86_64                                                                                                        12/139 
  Verifying  : glib2-2.54.2-1.el7.x86_64                                                                                                                         13/139 
  Verifying  : kernel-3.10.0-768.el7.x86_64                                                                                                                      14/139 
  Verifying  : libdb-5.3.21-22.el7.x86_64                                                                                                                        15/139 
  Verifying  : yum-3.4.3-157.el7.noarch                                                                                                                          16/139 
  Verifying  : 1:nfs-utils-1.3.0-0.52.el7.x86_64                                                                                                                 17/139 
  Verifying  : mesa-libEGL-17.2.3-5.20171019.el7.x86_64                                                                                                          18/139 
  Verifying  : redhat-release-7.5-0.12.el7.x86_64                                                                                                                19/139 
  Verifying  : krb5-libs-1.15.1-17.el7.x86_64                                                                                                                    20/139 
  Verifying  : systemd-libs-219-46.el7.x86_64                                                                                                                    21/139 
  Verifying  : openssh-server-7.4p1-14.el7.x86_64                                                                                                                22/139 
  Verifying  : openssh-clients-7.4p1-14.el7.x86_64                                                                                                               23/139 
  Verifying  : libdb-utils-5.3.21-22.el7.x86_64                                                                                                                  24/139 
  Verifying  : glibc-headers-2.17-217.el7.x86_64                                                                                                                 25/139 
  Verifying  : elfutils-0.170-2.el7.x86_64                                                                                                                       26/139 
  Verifying  : 7:lvm2-python-boom-0.8-2.el7.noarch                                                                                                               27/139 
  Verifying  : gssproxy-0.7.0-13.el7.x86_64                                                                                                                      28/139 
  Verifying  : gtk3-3.22.25-1.el7.x86_64                                                                                                                         29/139 
  Verifying  : kernel-tools-3.10.0-768.el7.x86_64                                                                                                                30/139 
  Verifying  : systemd-219-46.el7.x86_64                                                                                                                         31/139 
  Verifying  : kernel-tools-libs-3.10.0-768.el7.x86_64                                                                                                           32/139 
  Verifying  : 7:device-mapper-1.02.145-2.el7.x86_64                                                                                                             33/139 
  Verifying  : mesa-libGL-17.2.3-5.20171019.el7.x86_64                                                                                                           34/139 
  Verifying  : selinux-policy-3.13.1-175.el7.noarch                                                                                                              35/139 
  Verifying  : libdb-devel-5.3.21-22.el7.x86_64                                                                                                                  36/139 
  Verifying  : dracut-033-520.el7.x86_64                                                                                                                         37/139 
  Verifying  : rsyslog-8.24.0-15.el7.x86_64                                                                                                                      38/139 
  Verifying  : systemd-sysv-219-46.el7.x86_64                                                                                                                    39/139 
  Verifying  : initscripts-9.49.40-1.el7.x86_64                                                                                                                  40/139 
  Verifying  : libgudev1-219-46.el7.x86_64                                                                                                                       41/139 
  Verifying  : python-perf-3.10.0-768.el7.x86_64                                                                                                                 42/139 
  Verifying  : 2:ethtool-4.8-2.el7.x86_64                                                                                                                        43/139 
  Verifying  : kexec-tools-2.0.15-4.el7.x86_64                                                                                                                   44/139 
  Verifying  : subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64                                                                                        45/139 
  Verifying  : 1:cups-client-1.6.3-33.el7.x86_64                                                                                                                 46/139 
  Verifying  : nss-3.34.0-0.1.beta1.el7.x86_64                                                                                                                   47/139 
  Verifying  : 7:device-mapper-event-libs-1.02.145-2.el7.x86_64                                                                                                  48/139 
  Verifying  : subscription-manager-1.20.5-1.el7.x86_64                                                                                                          49/139 
  Verifying  : kpartx-0.4.9-116.el7.x86_64                                                                                                                       50/139 
  Verifying  : glibc-devel-2.17-217.el7.x86_64                                                                                                                   51/139 
  Verifying  : pam-1.1.8-22.el7.x86_64                                                                                                                           52/139 
  Verifying  : kernel-headers-3.10.0-768.el7.x86_64                                                                                                              53/139 
  Verifying  : subscription-manager-rhsm-1.20.5-1.el7.x86_64                                                                                                     54/139 
  Verifying  : python-inotify-0.9.4-4.el7.noarch                                                                                                                 55/139 
  Verifying  : mesa-libglapi-17.2.3-5.20171019.el7.x86_64                                                                                                        56/139 
  Verifying  : nss-sysinit-3.34.0-0.1.beta1.el7.x86_64                                                                                                           57/139 
  Verifying  : mesa-libgbm-17.2.3-5.20171019.el7.x86_64                                                                                                          58/139 
  Verifying  : gdb-7.6.1-107.el7.x86_64                                                                                                                          59/139 
  Verifying  : redhat-release-server-7.5-0.12.el7.x86_64                                                                                                         60/139 
  Verifying  : openldap-2.4.44-9.el7.x86_64                                                                                                                      61/139 
  Verifying  : mesa-libwayland-egl-17.2.3-5.20171019.el7.x86_64                                                                                                  62/139 
  Verifying  : 7:lvm2-libs-2.02.176-2.el7.x86_64                                                                                                                 63/139 
  Verifying  : 32:bind-libs-lite-9.9.4-58.el7.x86_64                                                                                                             64/139 
  Verifying  : glibc-2.17-217.el7.x86_64                                                                                                                         65/139 
  Verifying  : elfutils-libelf-0.170-2.el7.x86_64                                                                                                                66/139 
  Verifying  : kernel-devel-3.10.0-768.el7.x86_64                                                                                                                67/139 
  Verifying  : 32:bind-license-9.9.4-58.el7.noarch                                                                                                               68/139 
  Verifying  : nss-tools-3.34.0-0.1.beta1.el7.x86_64                                                                                                             69/139 
  Verifying  : 1:cups-libs-1.6.3-33.el7.x86_64                                                                                                                   70/139 
  Verifying  : openssh-7.4p1-14.el7.x86_64                                                                                                                       71/139 
  Verifying  : gtk-update-icon-cache-3.22.25-1.el7.x86_64                                                                                                        72/139 
  Verifying  : kernel-tools-libs-3.10.0-757.el7.x86_64                                                                                                           73/139 
  Verifying  : nss-3.33.0-1.el7.x86_64                                                                                                                           74/139 
  Verifying  : 32:bind-libs-lite-9.9.4-56.el7.x86_64                                                                                                             75/139 
  Verifying  : 1:cups-libs-1.6.3-32.el7.x86_64                                                                                                                   76/139 
  Verifying  : mesa-libEGL-17.2.3-4.20171019.el7.x86_64                                                                                                          77/139 
  Verifying  : 2:ethtool-4.8-1.el7.x86_64                                                                                                                        78/139 
  Verifying  : kpartx-0.4.9-115.el7.x86_64                                                                                                                       79/139 
  Verifying  : rsyslog-8.24.0-13.el7.x86_64                                                                                                                      80/139 
  Verifying  : systemd-219-45.el7.x86_64                                                                                                                         81/139 
  Verifying  : systemd-sysv-219-45.el7.x86_64                                                                                                                    82/139 
  Verifying  : elfutils-libs-0.170-1.el7.x86_64                                                                                                                  83/139 
  Verifying  : subscription-manager-1.20.2-1.el7.x86_64                                                                                                          84/139 
  Verifying  : selinux-policy-targeted-3.13.1-174.el7.noarch                                                                                                     85/139 
  Verifying  : openssh-server-7.4p1-13.el7_4.x86_64                                                                                                              86/139 
  Verifying  : mesa-libwayland-egl-17.2.3-4.20171019.el7.x86_64                                                                                                  87/139 
  Verifying  : yum-3.4.3-155.el7.noarch                                                                                                                          88/139 
  Verifying  : gtk-update-icon-cache-3.22.21-1.el7.x86_64                                                                                                        89/139 
  Verifying  : 32:bind-license-9.9.4-56.el7.noarch                                                                                                               90/139 
  Verifying  : libdb-5.3.21-20.el7.x86_64                                                                                                                        91/139 
  Verifying  : 7:device-mapper-1.02.144-3.el7.x86_64                                                                                                             92/139 
  Verifying  : mesa-libGL-17.2.3-4.20171019.el7.x86_64                                                                                                           93/139 
  Verifying  : elfutils-libelf-0.170-1.el7.x86_64                                                                                                                94/139 
  Verifying  : nss-softokn-3.33.0-1.el7.x86_64                                                                                                                   95/139 
  Verifying  : gssproxy-0.7.0-10.el7.x86_64                                                                                                                      96/139 
  Verifying  : 7:lvm2-2.02.175-3.el7.x86_64                                                                                                                      97/139 
  Verifying  : systemd-libs-219-45.el7.x86_64                                                                                                                    98/139 
  Verifying  : dracut-network-033-502.el7.x86_64                                                                                                                 99/139 
  Verifying  : 1:cups-client-1.6.3-32.el7.x86_64                                                                                                                100/139 
  Verifying  : openssh-7.4p1-13.el7_4.x86_64                                                                                                                    101/139 
  Verifying  : elfutils-0.170-1.el7.x86_64                                                                                                                      102/139 
  Verifying  : dracut-config-rescue-033-502.el7.x86_64                                                                                                          103/139 
  Verifying  : krb5-libs-1.15.1-15.el7.x86_64                                                                                                                   104/139 
  Verifying  : nss-sysinit-3.33.0-1.el7.x86_64                                                                                                                  105/139 
  Verifying  : 7:device-mapper-event-libs-1.02.144-3.el7.x86_64                                                                                                 106/139 
  Verifying  : gdb-7.6.1-106.el7.x86_64                                                                                                                         107/139 
  Verifying  : binutils-2.27-19.base.el7.x86_64                                                                                                                 108/139 
  Verifying  : glibc-common-2.17-214.el7.x86_64                                                                                                                 109/139 
  Verifying  : 7:lvm2-libs-2.02.175-3.el7.x86_64                                                                                                                110/139 
  Verifying  : 7:device-mapper-libs-1.02.144-3.el7.x86_64                                                                                                       111/139 
  Verifying  : kernel-tools-3.10.0-757.el7.x86_64                                                                                                               112/139 
  Verifying  : elfutils-default-yama-scope-0.170-1.el7.noarch                                                                                                   113/139 
  Verifying  : glib2-2.54.1-1.el7.x86_64                                                                                                                        114/139 
  Verifying  : python-rhsm-certificates-1.20.2-1.el7.x86_64                                                                                                     115/139 
  Verifying  : selinux-policy-3.13.1-174.el7.noarch                                                                                                             116/139 
  Verifying  : initscripts-9.49.39-1.el7.x86_64                                                                                                                 117/139 
  Verifying  : kexec-tools-2.0.15-2.el7.x86_64                                                                                                                  118/139 
  Verifying  : openldap-2.4.44-5.el7.x86_64                                                                                                                     119/139 
  Verifying  : mesa-libgbm-17.2.3-4.20171019.el7.x86_64                                                                                                         120/139 
  Verifying  : glibc-2.17-214.el7.x86_64                                                                                                                        121/139 
  Verifying  : nss-tools-3.33.0-1.el7.x86_64                                                                                                                    122/139 
  Verifying  : pam-1.1.8-20.el7.x86_64                                                                                                                          123/139 
  Verifying  : dracut-033-502.el7.x86_64                                                                                                                        124/139 
  Verifying  : gtk3-3.22.21-1.el7.x86_64                                                                                                                        125/139 
  Verifying  : 7:device-mapper-event-1.02.144-3.el7.x86_64                                                                                                      126/139 
  Verifying  : python-perf-3.10.0-757.el7.x86_64                                                                                                                127/139 
  Verifying  : openssh-clients-7.4p1-13.el7_4.x86_64                                                                                                            128/139 
  Verifying  : mesa-libglapi-17.2.3-4.20171019.el7.x86_64                                                                                                       129/139 
  Verifying  : glibc-headers-2.17-214.el7.x86_64                                                                                                                130/139 
  Verifying  : python-rhsm-1.20.2-1.el7.x86_64                                                                                                                  131/139 
  Verifying  : libdb-utils-5.3.21-20.el7.x86_64                                                                                                                 132/139 
  Verifying  : redhat-release-7.5-0.8.el7.x86_64                                                                                                                133/139 
  Verifying  : 1:nfs-utils-1.3.0-0.48.el7_4.x86_64                                                                                                              134/139 
  Verifying  : nss-softokn-freebl-3.33.0-1.el7.x86_64                                                                                                           135/139 
  Verifying  : libdb-devel-5.3.21-20.el7.x86_64                                                                                                                 136/139 
  Verifying  : glibc-devel-2.17-214.el7.x86_64                                                                                                                  137/139 
  Verifying  : kernel-headers-3.10.0-757.el7.x86_64                                                                                                             138/139 
  Verifying  : libgudev1-219-45.el7.x86_64                                                                                                                      139/139 

Installed:
  kernel.x86_64 0:3.10.0-768.el7                                      kernel-devel.x86_64 0:3.10.0-768.el7        subscription-manager-rhsm.x86_64 0:1.20.5-1.el7       
  subscription-manager-rhsm-certificates.x86_64 0:1.20.5-1.el7       

Dependency Installed:
  lvm2-python-boom.noarch 7:0.8-2.el7                  python-inotify.noarch 0:0.9.4-4.el7                  redhat-release-server.x86_64 0:7.5-0.12.el7                 

Updated:
  bind-libs-lite.x86_64 32:9.9.4-58.el7               bind-license.noarch 32:9.9.4-58.el7                       binutils.x86_64 0:2.27-20.base.el7                     
  cups-client.x86_64 1:1.6.3-33.el7                   cups-libs.x86_64 1:1.6.3-33.el7                           device-mapper.x86_64 7:1.02.145-2.el7                  
  device-mapper-event.x86_64 7:1.02.145-2.el7         device-mapper-event-libs.x86_64 7:1.02.145-2.el7          device-mapper-libs.x86_64 7:1.02.145-2.el7             
  dracut.x86_64 0:033-520.el7                         dracut-config-rescue.x86_64 0:033-520.el7                 dracut-network.x86_64 0:033-520.el7                    
  elfutils.x86_64 0:0.170-2.el7                       elfutils-default-yama-scope.noarch 0:0.170-2.el7          elfutils-libelf.x86_64 0:0.170-2.el7                   
  elfutils-libs.x86_64 0:0.170-2.el7                  ethtool.x86_64 2:4.8-2.el7                                gdb.x86_64 0:7.6.1-107.el7                             
  glib2.x86_64 0:2.54.2-1.el7                         glibc.x86_64 0:2.17-217.el7                               glibc-common.x86_64 0:2.17-217.el7                     
  glibc-devel.x86_64 0:2.17-217.el7                   glibc-headers.x86_64 0:2.17-217.el7                       gssproxy.x86_64 0:0.7.0-13.el7                         
  gtk-update-icon-cache.x86_64 0:3.22.25-1.el7        gtk3.x86_64 0:3.22.25-1.el7                               initscripts.x86_64 0:9.49.40-1.el7                     
  kernel-headers.x86_64 0:3.10.0-768.el7              kernel-tools.x86_64 0:3.10.0-768.el7                      kernel-tools-libs.x86_64 0:3.10.0-768.el7              
  kexec-tools.x86_64 0:2.0.15-4.el7                   kpartx.x86_64 0:0.4.9-116.el7                             krb5-libs.x86_64 0:1.15.1-17.el7                       
  libdb.x86_64 0:5.3.21-22.el7                        libdb-devel.x86_64 0:5.3.21-22.el7                        libdb-utils.x86_64 0:5.3.21-22.el7                     
  libgudev1.x86_64 0:219-46.el7                       lvm2.x86_64 7:2.02.176-2.el7                              lvm2-libs.x86_64 7:2.02.176-2.el7                      
  mesa-libEGL.x86_64 0:17.2.3-5.20171019.el7          mesa-libGL.x86_64 0:17.2.3-5.20171019.el7                 mesa-libgbm.x86_64 0:17.2.3-5.20171019.el7             
  mesa-libglapi.x86_64 0:17.2.3-5.20171019.el7        mesa-libwayland-egl.x86_64 0:17.2.3-5.20171019.el7        nfs-utils.x86_64 1:1.3.0-0.52.el7                      
  nss.x86_64 0:3.34.0-0.1.beta1.el7                   nss-softokn.x86_64 0:3.34.0-0.2.beta1.el7                 nss-softokn-freebl.x86_64 0:3.34.0-0.2.beta1.el7       
  nss-sysinit.x86_64 0:3.34.0-0.1.beta1.el7           nss-tools.x86_64 0:3.34.0-0.1.beta1.el7                   openldap.x86_64 0:2.4.44-9.el7                         
  openssh.x86_64 0:7.4p1-14.el7                       openssh-clients.x86_64 0:7.4p1-14.el7                     openssh-server.x86_64 0:7.4p1-14.el7                   
  pam.x86_64 0:1.1.8-22.el7                           python-perf.x86_64 0:3.10.0-768.el7                       redhat-release.x86_64 0:7.5-0.12.el7                   
  rsyslog.x86_64 0:8.24.0-15.el7                      selinux-policy.noarch 0:3.13.1-175.el7                    selinux-policy-targeted.noarch 0:3.13.1-175.el7        
  subscription-manager.x86_64 0:1.20.5-1.el7          systemd.x86_64 0:219-46.el7                               systemd-libs.x86_64 0:219-46.el7                       
  systemd-sysv.x86_64 0:219-46.el7                    yum.noarch 0:3.4.3-157.el7                               

Replaced:
  python-rhsm.x86_64 0:1.20.2-1.el7                                            python-rhsm-certificates.x86_64 0:1.20.2-1.el7                                           

Complete!

Comment 8 errata-xmlrpc 2018-04-10 09:52:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0681


Note You need to log in before you can comment on or make changes to this bug.